<?xml version="1.0" encoding="utf-8"?>
<openerp>
    <data>
        <menuitem id="menu_pemetaan_jabatan_struktural" name="Jabatan Struktural" parent="menu_pemetaan_struktural" sequence="1" />

	    <!-- ========================================= Pemetaan =============================================== -->
		<record id="view_pemetaan_jabatan_tree" model="ir.ui.view">
            <field name="name">pemetaan.jabatan.tree</field>
            <field name="model">pemetaan.jabatan</field>
            <field name="arch" type="xml">
                <tree string="Pemetaan Jabatan">
                    <field name="company_id"/>
                    <field name="department_id"/>
                    <field name="job_id" invisible="True"/>
                    <field name="name"/>
                     <field name="eselon_id"/>
                    <field name="employee_id"/>
                    <field name="level"/>
                    <field name="job_type" invisible="True"/>
                </tree>
            </field>
        </record>

 		 <record id="view_pemetaan_jabatan_form" model="ir.ui.view">
            <field name="name">pemetaan.jabatan.form</field>
            <field name="model">pemetaan.jabatan</field>
            <field name="arch" type="xml">
                <form string="Pemetaan Jabatan" version="7.0">
                    <header>
					<button name="action_rotation" string="Generate Rotasi Pegawai" type="object"  groups="df_pemetaan_struktural.group_struktural_admin"   class="oe_highlight"/>
                    <button name="action_promotion" string="Generate Promosi Pegawai" type="object"  groups="df_pemetaan_struktural.group_struktural_admin"  class="oe_highlight" />
                    <button name="action_reset_rotation" string="Reset Rotasi Pegawai" type="object"  groups="df_pemetaan_struktural.group_struktural_admin"   />
                    <button name="action_reset_promotion" string="Reset Promosi Pegawai" type="object"  groups="df_pemetaan_struktural.group_struktural_admin"   />

                    <button name="action_propose_rotation" string="Pengajuan Untuk Rotasi Pegawai" type="object"
                            attrs="{'invisible': [('employee_id','!=',False)]}" groups="df_pemetaan_struktural.group_kepala_instansi" class="oe_highlight" />
                    <button name="action_propose_promotion" string="Pengajuan Untuk Promosi Pegawai" type="object"
                            attrs="{'invisible': [('employee_id','!=',False)]}" groups="df_pemetaan_struktural.group_kepala_instansi" class="oe_highlight" />
                    <button name="action_reset_recommendation_rotation" string="Reset Rotasi Rekomendasi Kepala"
                            attrs="{'invisible': [('employee_id','!=',False)]}" type="object"  groups="df_pemetaan_struktural.group_kepala_instansi"   />
                    <button name="action_reset_recommendation_promotion" string="Reset Promosi Rekomendasi Kepala"
                            attrs="{'invisible': [('employee_id','!=',False)]}" type="object"  groups="df_pemetaan_struktural.group_kepala_instansi"   />

                    </header>
                    <div id="h1_div"></div>
                    <group col="2">
                        <field name="company_id"/>
	                    <field name="department_id"/>
	                    <field name="job_id" />
	                    <field name="name"/>
	                    <field name="code"/>
	                    <field name="parent_id"/>
	                    <field name="level"/>
                        <field name="sequence"/>
                        <field name="eselon_id"/>
                        <field name="golongan_id" invisible="True"/>
	                    <field name="job_type"/>
                        <field name="employee_id"/>
                        <!-- edit Adri 28/7/2016 -->
                        <field name="is_secretary"/>
                    </group>
                    <notebook>
                        <page string="Rekomendasi Rotasi" name="rotation"  groups="df_pemetaan_struktural.group_struktural_admin" >
                            <div >

			                 		<field name="rotasi_ids" string="Rotasi" readonly="True" >
										<tree string="Rotasi" >

			                                <field name="employee_id" />
                                            <field name="golongan_id" string="Pangkat."/>
                                            <field name="job_id" />
                                            <field name="masa_kerja_jabatan" string="Masa Kerja (Bln)." />
                                            <field name="company_id" />
                                            <field name="golongan_value" string="Pangkat" />
                                            <field name="usia_value" string="Usia" />
                                            <field name="masa_kerja_value" string="Masa Kerja" />
                                            <field name="tingkat_jabatan_value" string="Tk. Jabatan" />
                                            <field name="skp_value" string="SKP" />
                                            <field name="penghargaan_value" string="Penghargaan"/>
                                            <field name="kedisiplinan_value" string="Kedisiplinan" />
                                            <field name="pendidikan_value" string="Pendidikan" />
                                            <field name="pelatihan_struktural_value" string="Diklatpim" />
                                            <field name="seminar_value" string="Diklat/Seminar" />
                                            <field name="pengalaman_value" string="Lainnya" />
                                            <field name="total_value" string="Total" />
			                            </tree>
			                        </field>
								</div>
                        </page>
                        <page string="Rekomendasi Promosi" name="promotion" groups="df_pemetaan_struktural.group_struktural_admin" >
                            <div >

			                 		<field name="promosi_ids" string="Promosi" readonly="True" >
										<tree string="Promosi" >

			                                <field name="employee_id" />
                                            <field name="golongan_id" string="Pangkat."/>
                                            <field name="job_id" />
                                            <field name="masa_kerja_jabatan" string="Masa Kerja (Bln)." />
                                            <field name="company_id" />
                                            <field name="golongan_value" string="Pangkat" />
                                            <field name="usia_value" string="Usia" />
                                            <field name="masa_kerja_value" string="Masa Kerja" />
                                            <field name="tingkat_jabatan_value" string="Tk. Jabatan" />
                                            <field name="skp_value" string="SKP" />
                                            <field name="penghargaan_value" string="Penghargaan"/>
                                            <field name="kedisiplinan_value" string="Kedisiplinan" />
                                            <field name="pendidikan_value" string="Pendidikan" />
                                            <field name="pelatihan_struktural_value" string="Diklatpim" />
                                            <field name="seminar_value" string="Diklat/Seminar" />
                                            <field name="pengalaman_value" string="Lainnya" />
                                            <field name="total_value" string="Total" />
			                            </tree>
			                        </field>
								</div>
                        </page>
                        <page string="Pengajuan Rotasi Dari Kepala Instansi" name="rotation_rec"  groups="df_pemetaan_struktural.group_struktural_admin,df_pemetaan_struktural.group_kepala_instansi" >
                            <div >

			                 		<field name="rekomendasi_rotasi_ids" string="Rotasi" readonly="True"  >
										<tree string="Rotasi" >

			                                <field name="employee_id" />
                                            <field name="golongan_id" string="Pangkat."/>
                                            <field name="job_id" />
                                            <field name="masa_kerja_jabatan" string="Masa Kerja (Bln)." />
                                            <field name="company_id" />
                                            <field name="golongan_value" string="Pangkat" />
                                            <field name="usia_value" string="Usia" />
                                            <field name="masa_kerja_value" string="Masa Kerja" />
                                            <field name="tingkat_jabatan_value" string="Tk. Jabatan" />
                                            <field name="skp_value" string="SKP" />
                                            <field name="penghargaan_value" string="Penghargaan"/>
                                            <field name="kedisiplinan_value" string="Kedisiplinan" />
                                            <field name="pendidikan_value" string="Pendidikan" />
                                            <field name="pelatihan_struktural_value" string="Diklatpim" />
                                            <field name="seminar_value" string="Diklat/Seminar" />
                                            <field name="pengalaman_value" string="Lainnya" />
                                            <field name="total_value" string="Total" />
			                            </tree>
			                        </field>
								</div>
                        </page>
                        <page string="Rekomendasi Promosi Dari Kepala Instansi" name="rec_promotion" groups="df_pemetaan_struktural.group_struktural_admin,df_pemetaan_struktural.group_kepala_instansi"  >
                            <div >

			                 		<field name="rekomendasi_promosi_ids" string="Promosi" readonly="True" >
										<tree string="Promosi" >

			                                <field name="employee_id" />
                                            <field name="golongan_id" string="Pangkat."/>
                                            <field name="job_id" />
                                            <field name="masa_kerja_jabatan" string="Masa Kerja (Bln)." />
                                            <field name="company_id" />
                                            <field name="golongan_value" string="Pangkat" />
                                            <field name="usia_value" string="Usia" />
                                            <field name="masa_kerja_value" string="Masa Kerja" />
                                            <field name="tingkat_jabatan_value" string="Tk. Jabatan" />
                                            <field name="skp_value" string="SKP" />
                                            <field name="penghargaan_value" string="Penghargaan"/>
                                            <field name="kedisiplinan_value" string="Kedisiplinan" />
                                            <field name="pendidikan_value" string="Pendidikan" />
                                            <field name="pelatihan_struktural_value" string="Diklatpim" />
                                            <field name="seminar_value" string="Diklat/Seminar" />
                                            <field name="pengalaman_value" string="Lainnya" />
                                            <field name="total_value" string="Total" />
			                            </tree>
			                        </field>
								</div>
                        </page>
                    </notebook>
                </form>
            </field>
        </record>

        <record model="ir.actions.act_window" id="action_pemetaan_struktural_data">
            <field name="name">Pemetaan Jabatan</field>
            <field name="res_model">pemetaan.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
        </record>

		<menuitem id="menu_data_pemetaan_jabatan_struktural"  name="Pemetaan Jabatan"
                  parent="menu_pemetaan_jabatan_struktural" sequence="1"
                  action="action_pemetaan_struktural_data"  />

        <!-- jabatan kosong -->
        <record model="ir.actions.act_window" id="action_pemetaan_jabatan_kosong_data">
            <field name="name">Jabatan Kosong</field>
            <field name="res_model">pemetaan.jabatan</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="domain">[('employee_id','=',False)]</field>
            <field name="help" type="html">
              <p >
                Tekan Tombol Create Untuk Menambahkan Data
              </p>
            </field>
        </record>

		<menuitem id="menu_data_pemetaan_jabatan_kosong"  name="Jabatan Kosong"
                  parent="menu_pemetaan_jabatan_struktural" sequence="2"
                  action="action_pemetaan_jabatan_kosong_data"  />

    </data>
</openerp>